commit:     2b833e7cdaa7a5db919ef5fe98e2f713a04f40d9
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 09:40:36 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 09:44:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b833e7c

dev-python/jupyterlab_server: add 2.15.1

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/jupyterlab_server/Manifest              |  1 +
 .../jupyterlab_server-2.15.1.ebuild                | 61 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/jupyterlab_server/Manifest 
b/dev-python/jupyterlab_server/Manifest
index fd2008f67a4c..e66a9d51a509 100644
--- a/dev-python/jupyterlab_server/Manifest
+++ b/dev-python/jupyterlab_server/Manifest
@@ -1,2 +1,3 @@
 DIST jupyterlab_server-2.14.0.tar.gz 62704 BLAKE2B 
93277a6880a9395622e6c0ec1da9522c5e30e7a8144c8629de89f45845964008f0a435ec84289efe56043c8ebb998ea65df1d09f3da72096f255fcafa29fab53
 SHA512 
21ecf749879663378d865bd06161fb3e331f3675038917e405df0cb77d4a4cec55340a35d6511676fa4d91ecaedcd1e7f8aec3a13ad3a39298d10911ab215cc6
 DIST jupyterlab_server-2.15.0.tar.gz 61443 BLAKE2B 
48ead96f13caf747cc14f7d65dc6104822dcd0fe17315a2cee4111598b40f05119998f169aef90411e84fe24e8f09736c857325752cfa3f22047acb2a9e2e3c1
 SHA512 
27530b293ad7c171b280a4c165d7f983c85238c4cb0bc89bb2eda8493b2988f047045c842ba456df9d0bfef00b5ee28b061c537ef6293d726c3a4f3d6572727c
+DIST jupyterlab_server-2.15.1.tar.gz 62345 BLAKE2B 
14d82bc9cc7566312c4f434b78f396bb822f150653e3be6f1e328d620d1d8b205a8dca8c0b4a1e84a52562e04f76cb63154fd1b58f45da3a4f787a32468595cc
 SHA512 
b4fba8a09562a70a705170406b69cbfaad4fcee290ca74e7949155698af616e4ce650a75c06bfa613e1a307980a4769418587ccf33a964868053ded9a7648095

diff --git a/dev-python/jupyterlab_server/jupyterlab_server-2.15.1.ebuild 
b/dev-python/jupyterlab_server/jupyterlab_server-2.15.1.ebuild
new file mode 100644
index 000000000000..88f6833ba9dd
--- /dev/null
+++ b/dev-python/jupyterlab_server/jupyterlab_server-2.15.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=hatchling
+
+inherit distutils-r1
+
+DESCRIPTION="Server components for JupyterLab and JupyterLab like applications"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyterlab/jupyterlab_server/
+       https://pypi.org/project/jupyterlab-server/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/Babel[${PYTHON_USEDEP}]
+       >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+       dev-python/json5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
+       <dev-python/jupyter_server-2[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       test? (
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+               dev-python/jupyter_server[${PYTHON_USEDEP}]
+               dev-python/openapi-core[${PYTHON_USEDEP}]
+               dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
+               dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+               dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+# TODO: package autodoc_traits
+#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme 
dev-python/myst_parser
+
+python_prepare_all() {
+       # This seems to not work for us, can only find english
+       rm tests/test_translation_api.py || die
+
+       # Do not depend on pytest-cov
+       sed -i -e '/addopts/d' pyproject.toml || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to